#!/bin/bash

# 入力ファイル名を引数から取得
input_file="$1"

# PIDのリストを作成
numbers=($(awk -F, 'NR > 1 {print $2}' ${input_file} | sort | uniq))

for number in "${numbers[@]}"
do
  # 第2カラムのPIDでファイルを分ける
  awk -F, "\$2 ~ /$number/" $input_file > "${number}-java.txt"
  
  # "kB" を削除
  sed 's/ kB//g' "${number}-java.txt" > "${number}-java.csv"
  
  # ヘッダーを追加
  sed -i '1i Time,PID,VmSize,VmHWM,VmRSS,VmData,VmSwap' "${number}-java.csv"
done

# freeコマンドの結果をcsvファイルに出力
grep Mem:  ${input_file} >  free-mem.txt
sed -i '1i total used free shared buff/cache available' free-mem.txt
# "Mem:" を削除
sed 's/Mem://g' free-mem.txt > free-mem.csv

grep Swap: ${input_file}  >  free-swap.txt
sed -i '1i total used(KB) free(KB)' free-swap.txt
# "Swap:" を削除
sed 's/Swap://g' free-swap.txt > free-swap.csv


